// gnome.xonotic.in.ua

models/mapobjects/baph/baphomet_gold
{
	{
		map textures/sfx/firewalla.tga
		tcmod scroll 0.1 1
		rgbgen identity
	}
	{
		map models/mapobjects/baph/baphomet_gold.tga
		blendfunc blend
		rgbgen vertex
	}
}

models/mapobjects/gratelamp/gratetorch2b
{
	cull disable
	{
		map models/mapobjects/gratelamp/gratetorch2b.tga
		alphafunc ge128
		depthwrite
		rgbgen vertex
	}
}

textures/common/caulk
{
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nomarks
}

textures/common/clip
{
	qer_trans 0.40
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm playerclip
}

textures/common/nodraw
{
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
}

textures/common/nodrop
{
	qer_nocarve
	qer_trans 0.5
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nodrop
}

textures/common/trigger
{
	qer_trans 0.50
	qer_nocarve
	surfaceparm nodraw
}

textures/ctf/ctf_blueflag
{
	tesssize 64
	deformvertexes wave 194 sin 0 3 0 .4
	deformvertexes normal .5 .1
	surfaceparm nomarks
	cull none
	{
		map textures/ctf/ctf_blueflag.tga
		rgbgen identity
	}
	{
		map textures/effects/redflagmap.tga
		tcgen environment
		tcmod scale 9 3
		tcmod scroll .1 .7
		blendfunc gl_one gl_one
		rgbgen identity
	}
	{
		map textures/ctf/ctf_blueflag.tga
		blendfunc gl_src_alpha gl_one_minus_src_alpha
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_one_minus_dst_alpha
		rgbgen identity
	}
	{
		map textures/sfx/shadow.tga
		tcgen environment
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}

textures/ctf/ctf_redflag
{
	tesssize 64
	deformvertexes wave 194 sin 0 3 0 .4
	deformvertexes normal .3 .2
	surfaceparm nomarks
	cull none
	{
		map textures/ctf/ctf_redflag.tga
		rgbgen identity
	}
	{
		map textures/effects/blueflagmap.tga
		tcgen environment
		tcmod scale 9 3
		tcmod scroll .1 .7
		blendfunc gl_one gl_one
		rgbgen identity
	}
	{
		map textures/ctf/ctf_redflag.tga
		blendfunc gl_src_alpha gl_one_minus_src_alpha
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_one_minus_dst_alpha
		rgbgen identity
	}
	{
		map textures/sfx/shadow.tga
		tcgen environment
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}

textures/ctf/fog_b_256_60
{
	qer_editorimage textures/sfx/xbluelightimage.tga
	q3map_lightimage textures/sfx/xbluelightimage.tga
	q3map_surfacelight 60
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm fog
	surfaceparm nolightmap
	qer_nocarve
	fogparms ( 0.3 0.3 0.9 ) 256
	{
		map textures/liquids/kc_fogcloud3.tga
		blendfunc gl_dst_color gl_zero
		tcmod scale -.05 -.05
		tcmod scroll .01 -.01
		rgbgen identity
	}
	{
		map textures/liquids/kc_fogcloud3.tga
		blendfunc gl_dst_color gl_zero
		tcmod scale .05 .05
		tcmod scroll .01 -.01
		rgbgen identity
	}
}

textures/ctf/fog_grey_256_60
{
	qer_editorimage textures/sfx/xdensegreyfog.tga
	q3map_lightimage textures/sfx/xdensegreyfog.tga
	q3map_surfacelight 60
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm fog
	surfaceparm nolightmap
	qer_nocarve
	fogparms ( 0.7 0.7 0.7 ) 256
	{
		map textures/liquids/kc_fogcloud3.tga
		blendfunc gl_dst_color gl_zero
		tcmod scale -.05 -.05
		tcmod scroll .01 -.01
		rgbgen identity
	}
	{
		map textures/liquids/kc_fogcloud3.tga
		blendfunc gl_dst_color gl_zero
		tcmod scale .05 .05
		tcmod scroll .01 -.01
		rgbgen identity
	}
}

textures/ctf/fog_r_256_60
{
	qer_editorimage textures/sfx/hellfog.tga
	q3map_lightimage textures/sfx/hellfog.tga
	q3map_surfacelight 60
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm fog
	surfaceparm nolightmap
	qer_nocarve
	fogparms ( .55 .11 .1 ) 256
	{
		map textures/liquids/kc_fogcloud3.tga
		blendfunc gl_dst_color gl_zero
		tcmod scale -.05 -.05
		tcmod scroll .01 -.01
		rgbgen identity
	}
	{
		map textures/liquids/kc_fogcloud3.tga
		blendfunc gl_dst_color gl_zero
		tcmod scale .05 .05
		tcmod scroll .01 -.01
		rgbgen identity
	}
}

textures/ctf/killblockctf_b
{
	qer_editorimage textures/gothic_block/killblockgeomtrn.tga
	{
		map textures/sfx/fire_ctfblue.tga
		tcmod scroll 0 1
		tcmod turb 0 .25 0 1.6
		tcmod scale 2 2
		blendfunc gl_one gl_zero
		rgbgen identity
	}
	{
		map textures/gothic_block/blocks18cgeomtrn2.tga
		blendfunc blend
		tcmod rotate 30
		tcmod stretch sin .8 0.2 0 .2
		rgbgen identity
	}
	{
		map textures/gothic_block/blocks18cgeomtrn2.tga
		blendfunc blend
		tcmod rotate 20
		tcmod stretch sin .8 0.2 0 .1
		rgbgen identity
	}
	{
		map textures/gothic_block/killblockgeomtrn.tga
		blendfunc blend
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_one_minus_dst_alpha
		rgbgen identity
	}
}

textures/ctf/killblockctf_r
{
	qer_editorimage textures/gothic_block/blocks15cgeomtrn.tga
	{
		map textures/sfx/fire_ctfred.tga
		tcmod scroll 0 1
		tcmod turb 0 .25 0 1.6
		tcmod scale 2 2
		blendfunc gl_one gl_zero
		rgbgen identity
	}
	{
		map textures/gothic_block/blocks18cgeomtrn2.tga
		blendfunc blend
		tcmod rotate 30
		tcmod stretch sin .8 0.2 0 .2
		rgbgen identity
	}
	{
		map textures/gothic_block/blocks18cgeomtrn2.tga
		blendfunc blend
		tcmod rotate 20
		tcmod stretch sin .8 0.2 0 .1
		rgbgen identity
	}
	{
		map textures/gothic_block/blocks15cgeomtrn.tga
		blendfunc blend
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_one_minus_dst_alpha
		rgbgen identity
	}
}

textures/gothic_light/flicker_light15k
{
	qer_editorimage textures/gothic_light/gothic_light3.tga
	q3map_lightimage textures/gothic_light/gothic_light2_blend.tga
	q3map_surfacelight 15000
	surfaceparm nomarks
	{
		map $lightmap
		rgbgen wave noise 0.75 0.25 0 10
	}
	{
		map textures/gothic_light/gothic_light3.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/gothic_light/gothic_light2_blend.tga
		blendfunc gl_one gl_one
		rgbgen wave noise 0.75 0.25 0 10
	}
}

textures/gothic_light/gothic_light2_lrg_500
{
	qer_editorimage textures/gothic_light/gothic_light2_lrg.tga
	q3map_surfacelight 500
	surfaceparm nomarks
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/gothic_light/gothic_light2_lrg.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/gothic_light/gothic_light2_blend.tga
		blendfunc gl_one gl_one
	}
}

textures/gothic_light/ironcrossltblue_2000
{
	qer_editorimage textures/gothic_light/ironcrossltblue.tga
	q3map_lightimage textures/gothic_light/ironcrossltblue.blend.tga
	q3map_surfacelight 2000
	surfaceparm nomarks
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/gothic_light/ironcrossltblue.tga
		rgbgen identity
		blendfunc gl_dst_color gl_zero
	}
	{
		map textures/gothic_light/ironcrossltblue.blend.tga
		blendfunc gl_one gl_one
	}
}

textures/gothic_light/ironcrossltred_2000
{
	qer_editorimage textures/gothic_light/ironcrossltred.tga
	q3map_lightimage textures/gothic_light/ironcrossltred.blend.tga
	q3map_surfacelight 2000
	surfaceparm nomarks
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/gothic_light/ironcrossltred.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/gothic_light/ironcrossltred.blend.tga
		blendfunc gl_one gl_one
	}
}

textures/gothic_trim/baseboard09_p_shiny
{
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/gothic_trim/baseboard09_p_shiny.tga
		blendfunc gl_dst_color gl_src_alpha
		alphagen lightingspecular
		rgbgen identity
	}
}

textures/gothic_trim/metalsupport4j_trans
{
	qer_editorimage textures/gothic_trim/metalsupport4j.tga
	surfaceparm nonsolid
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/gothic_trim/metalsupport4j.tga
		rgbgen identity
		blendfunc gl_dst_color gl_zero
	}
}

textures/gothic_trim/metlsupport4i_shiney
{
	qer_editorimage textures/gothic_trim/xmetalsupport4i_alpha.tga
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/gothic_trim/xmetalsupport4i_alpha.tga
		blendfunc gl_dst_color gl_src_alpha
		rgbgen identity
		alphagen lightingspecular
	}
}

textures/gothic_trim/zinc_shiny
{
	{
		map textures/effects/tinfx.tga
		tcgen environment
		rgbgen identity
	}
	{
		map textures/gothic_trim/zinc_shiny.tga
		blendfunc gl_src_alpha gl_one_minus_src_alpha
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_one_minus_dst_alpha
		rgbgen identity
	}
}

textures/gothic_wall/xpipecolumn_gray_shiny
{
	{
		map textures/effects/tinfx.tga
		tcgen environment
		rgbgen identity
	}
	{
		map textures/gothic_wall/xpipecolumn_gray_shiny.tga
		blendfunc blend
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_one_minus_dst_alpha
		rgbgen identity
	}
}

textures/sfx/demonltblackfinal
{
	q3map_lightimage textures/sfx/demonltblackfinal_glow2.tga
	q3map_surfacelight 100
	surfaceparm nomarks
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/sfx/demonltblackfinal.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/sfx/demonltblackfinal_glow2.tga
		blendfunc gl_one gl_one
		rgbgen wave sin .9 .1 0 5
	}
}

textures/sfx/flame1_hell
{
	qer_editorimage textures/sfx/flame1.tga
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm trans
	cull none
	q3map_surfacelight 600
	{
		animmap 10 textures/sfx/flame1.tga textures/sfx/flame2.tga textures/sfx/flame3.tga textures/sfx/flame4.tga textures/sfx/flame5.tga textures/sfx/flame6.tga textures/sfx/flame7.tga textures/sfx/flame8.tga
		blendfunc gl_one gl_one
		rgbgen wave inversesawtooth 0 1 0 10
	}
	{
		animmap 10 textures/sfx/flame2.tga textures/sfx/flame3.tga textures/sfx/flame4.tga textures/sfx/flame5.tga textures/sfx/flame6.tga textures/sfx/flame7.tga textures/sfx/flame8.tga textures/sfx/flame1.tga
		blendfunc gl_one gl_one
		rgbgen wave sawtooth 0 1 0 10
	}
	{
		map textures/sfx/flameball.tga
		blendfunc gl_one gl_one
		rgbgen wave sin .6 .2 0 .6
	}
}

textures/sfx/flame1side
{
	qer_editorimage textures/sfx/flame1side.tga
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nolightmap
	cull none
	{
		animmap 10 textures/sfx/flame1.tga textures/sfx/flame2.tga textures/sfx/flame3.tga textures/sfx/flame4.tga textures/sfx/flame5.tga textures/sfx/flame6.tga textures/sfx/flame7.tga textures/sfx/flame8.tga
		blendfunc gl_one gl_one
		rgbgen wave inversesawtooth 0 1 0 10
	}
	{
		animmap 10 textures/sfx/flame2.tga textures/sfx/flame3.tga textures/sfx/flame4.tga textures/sfx/flame5.tga textures/sfx/flame6.tga textures/sfx/flame7.tga textures/sfx/flame8.tga textures/sfx/flame1.tga
		blendfunc gl_one gl_one
		rgbgen wave sawtooth 0 1 0 10
	}
	{
		map textures/sfx/flameball.tga
		blendfunc gl_one gl_one
		rgbgen wave sin .6 .2 0 .6
	}
}

textures/sfx/flame2
{
	surfaceparm nomarks
	surfaceparm nolightmap
	cull none
	q3map_surfacelight 5500
	qer_editorimage textures/sfx/flame2.tga
	{
		animmap 10 textures/sfx/flame1.tga textures/sfx/flame2.tga textures/sfx/flame3.tga textures/sfx/flame4.tga textures/sfx/flame5.tga textures/sfx/flame6.tga textures/sfx/flame7.tga textures/sfx/flame8.tga
		blendfunc gl_one gl_one
		rgbgen wave inversesawtooth 0 1 0 10
	}
	{
		animmap 10 textures/sfx/flame2.tga textures/sfx/flame3.tga textures/sfx/flame4.tga textures/sfx/flame5.tga textures/sfx/flame6.tga textures/sfx/flame7.tga textures/sfx/flame8.tga textures/sfx/flame1.tga
		blendfunc gl_one gl_one
		rgbgen wave sawtooth 0 1 0 10
	}
	{
		map textures/sfx/flameball.tga
		blendfunc gl_one gl_one
		rgbgen wave sin .6 .2 0 .6
	}
}

textures/sfx/largerblock3b3_pent
{
	qer_editorimage textures/sfx/largerblock3b3_pent.tga
	{
		map textures/sfx/largerblock3b3_pent.tga
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
	}
	{
		map textures/sfx/pentagramfloor_red_glow.tga
		blendfunc gl_one gl_one
		rgbgen wave sin .5 .5 0 .5
		depthfunc equal
	}
}

textures/sfx/largerblock3b3x128_pent
{
	q3map_lightimage textures/sfx/pentagramfloor_blue3glowtest.tga
	q3map_surfacelight 100
	surfaceparm nomarks
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/sfx/largerblock3b3x128_pent.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/sfx/pentagramfloor_blue3glowtest.tga
		blendfunc gl_one gl_one
		rgbgen wave sin .9 .1 0 5
	}
}

textures/sfx/largerblock3b3x128_pentred
{
	qer_editorimage textures/sfx/largerblock3b3x128_pent.tga
	q3map_lightimage textures/gothic_floor/pent_glow.tga
	q3map_surfacelight 500
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/sfx/largerblock3b3x128_pent.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/gothic_floor/pent_glow.tga
		blendfunc gl_one gl_one
		rgbgen wave sin .5 .5 0 0.5
	}
}

textures/skies/hellsky
{
	qer_editorimage textures/skies/dimclouds.tga
	surfaceparm noimpact
	surfaceparm nomarks
	surfaceparm nolightmap
	q3map_sun 4 3 3 65 290 75
	q3map_surfacelight 50
	skyparms - 512 -
	{
		map textures/skies/dimclouds.tga
		tcmod scroll 0.05 0
		tcmod scale 2 2
		depthwrite
	}
}

